<div class="container">
    <br>
    <h4>Agenda de pacientes</h4>
    <br>

    <!-- Card contenedora -->

    <div class="card border-info mb-3">
        <br>
        <!-- barra superios busquedas -->
        <div class="row">

            <!-- buscar por nombre   -->
            <div class="col">
                <div class="row">
                    <div  style="padding-left: 5%; ">
                        <label for="nombre">Seleccione una fecha: </label>
                    </div>
                    <div class="col" style="padding-left: 5%; ">
                        <input id="nombre" #nombre type="date" class="form-control" required
                            onkeypress="return ((event.charCode >= 65 && event.charCode <= 90) || (event.charCode >= 97 && event.charCode <= 122))">
                    </div>
                    <div class="col">
                        <button type="submit" class="btn btn-dark" >Buscar</button>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="row table-responsive">
            <div class="col">
                <table class="table table-striped">
                    <!-- heder tabla  -->
                    <thead class="table-info">
                        <tr>
                            <th class="col-1 text-center">Hora</th>
                            <th class="col-3 text-center">Nombre completo</th>
                            <th class="col-2 text-center">Rut</th>
                            <th class="col-2 text-center">Numero Teléfono</th>
                            <th class="col-2 text-center">Acción</th>
                        </tr>
                    </thead>
                    <!-- fin heder tabla -->
                    <!-- Filas de la tabla -->
                    <tbody>
                        <tr *ngFor="let reserva of reservas">
                            <!-- fecha -->
                            <th class="text-center">{{ reserva.hora }}</th>
                            <!-- rut -->
                            <td class="text-center">{{ reserva.paciente.nombres }} {{ reserva.paciente.apellido_paterno }}
                                {{ reserva.paciente.apellido_materno }}</td>
                            <!-- profesional -->
                            <td class="text-center">{{ reserva.paciente.rut }}</td>
                            <td class="text-center">{{ reserva.paciente.telefono }}</td>
                            <td>

                                <div class="text-center" #acciones>


                                    <button  type="button" class="btn btn-outline-danger" 
                                        (click)="irAVerFicha(paciente.id)">
                                        <fa-icon [icon]='["fas","times"]'> </fa-icon>
                                    </button>
                                    <button  type="button" class="btn btn-outline-success" 
                                        (click)="irAVerFicha(paciente.id)">
                                        <fa-icon [icon]='["fas","check"]'> </fa-icon>
                                    </button>
                                </div>
                            </td>
                            <!-- opciones -->
                            
                            <!-- fin opciones -->
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>


</div>
